5 Replies Latest reply: Dec 29, 2012 9:22 AM by KiltedTim
tomweatherall66 Level 1 Level 1 (0 points)

i have just bought a new iphone 3g, but there are no apps suitable as i need  at least ios 4.1.3 what can i do?


iPhone 3G, iOS 4.3.1